View Issue Details

This bug affects 1 person(s).
 14
IDProjectCategoryView StatusLast Update
17062Bug reportsSurvey participants (Tokens)public2021-07-13 16:38
ReporterJmantysalo Assigned Togabrieljenik  
PrioritynormalSeveritytweak 
Status resolvedResolutionfixed 
Product Version4.3.34 
Summary17062: Restore-button, no error message if no old token table selected
DescriptionWhen you have deleted the participant table for a survey and are initializing new one, it says "The following old survey participants tables could be restored:" and gives a list. If you now click "Restore", it does nothing. It should give an error message saying "No old participants table selected" or something like that.

Steps To ReproduceEdit cdorin: check comments in Mantis
TagsNo tags attached.
Bug heat14
Complete LimeSurvey version number (& build)Version 4.3.34+210119
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionN/A
Server OS (if known)
Webserver software & version (if known)
PHP VersionN/A

Activities

jelo

jelo

2021-02-05 22:43

partner   ~61960

I would call that expected behavior ;-) The table-list might need to look more "clickable" ;-)
The wording above the list could be changed. E.g. add "Select tables to restore" and the button below could be changed into "Restore selected tables".

But when "select nothing and click the button" should show a warning, there might be many areas in LimeSurvey where that would has to applied.
Consistent behavior to learn without thinking.
cdorin

cdorin

2021-02-06 15:01

manager   ~61962

Thanks @jelo and @Jmantysalo for feedbackup . Will also think of a better wording :)
Jmantysalo

Jmantysalo

2021-02-08 07:30

reporter   ~61986

For example, if I go to list of surveys and click Selected survey(s) > Survey theme, I got "Please select at least one item" if nothing was selected.
DenisChenu

DenisChenu

2021-02-08 08:15

developer   ~61988

maybe usage of HTML5 ? required
JHoeck

JHoeck

2021-04-16 14:46

developer   ~63988

Fixed in branch: bug/17062-restore-button-no-error-message-if-no-old-paticipant-table-selected

The init view of participants table is disabled now, and only the Restore option will be shown, if there is an old participant table. The button is now working like expected.
ollehar

ollehar

2021-04-20 17:52

administrator   ~64068

I can't find that branch? Did you push, Jessy?
JHoeck

JHoeck

2021-04-21 09:45

developer   ~64077

@ollehar sorry, forgot to push. Now you can find it under bug/17062-restore-button-no-error-message-if-no-old-paticipant-table-selected
gabrieljenik

gabrieljenik

2021-06-29 00:08

manager   ~65152

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1940
gabrieljenik

gabrieljenik

2021-07-13 16:38

manager   ~65424

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32172

Related Changesets

LimeSurvey: master c73ee5f8

2021-07-13 09:03:22

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17062: Restore-button, no error message if no old token table selected (#1940) Affected Issues
17062
mod - application/views/admin/token/tokenwarning.php Diff File

Issue History

Date Modified Username Field Change
2021-02-05 17:43 Jmantysalo New Issue
2021-02-05 22:43 jelo Note Added: 61960
2021-02-06 15:01 cdorin Priority none => normal
2021-02-06 15:01 cdorin Status new => confirmed
2021-02-06 15:01 cdorin Description Updated View Revisions
2021-02-06 15:01 cdorin Steps to Reproduce Updated View Revisions
2021-02-06 15:01 cdorin Note Added: 61962
2021-02-08 07:30 Jmantysalo Note Added: 61986
2021-02-08 08:15 DenisChenu Note Added: 61988
2021-04-15 16:08 JHoeck Assigned To => JHoeck
2021-04-15 16:08 JHoeck Status confirmed => assigned
2021-04-16 11:58 JHoeck Status assigned => confirmed
2021-04-16 14:46 JHoeck Status confirmed => resolved
2021-04-16 14:46 JHoeck Resolution open => fixed
2021-04-16 14:46 JHoeck Note Added: 63988
2021-04-20 17:52 ollehar Note Added: 64068
2021-04-20 17:52 ollehar Status resolved => testing
2021-04-21 09:45 JHoeck Note Added: 64077
2021-04-29 11:35 JHoeck Status testing => assigned
2021-06-29 00:08 gabrieljenik Note Added: 65152
2021-07-13 09:04 c_schmitz Status assigned => resolved
2021-07-13 16:38 gabrieljenik Changeset attached => LimeSurvey master c73ee5f8
2021-07-13 16:38 gabrieljenik Note Added: 65424
2021-07-13 16:38 gabrieljenik Assigned To JHoeck => gabrieljenik